Skip to main content

Get Markets by Token ID

Get all markets where a token is listed with pagination support.

Endpoint: GET /api/v1/integration/tokens/{token_id}/markets

Authentication: Required (Bearer token)

Required Headers:

Authorization: Bearer <access_token>
X-Target-Server: integration

Path Parameters

ParameterTypeRequiredDescription
token_idstring (UUID)YesToken ID

Query Parameters

ParameterTypeRequiredDescription
pageintegerNoPage number (default: 1)
per_pageintegerNoNumber of items per page (default: 20)

Response

Status: 200 OK

Returns a paginated list of markets where the token is listed.

{
"markets": [
{
"id": "861ce222-559c-4a0f-872d-a9f8cf05c93f",
"domain": "medyan.com",
"name": "Medyam",
"created_at": "2025-12-22T15:27:12.056631Z"
}
],
"total": 1,
"page": 1,
"per_page": 20
}

Example cURL Request

curl -X GET 'https://<base-url>/api/v1/integration/tokens/3c4da8b4-99e0-45ca-bb0b-221c3b1272b3/markets?page=1&per_page=20' \
-H "Authorization: Bearer <access_token>" \
-H "X-Target-Server: integration"